/** @file a.c
 * @brief First file.
 *
 * Compile both files like:
 * - gcc -W -Wall -O2 -o staticTest a.c b.c
 */
#include <stdio.h>
#include "b.h"

/** @brief The variable staticTest in a.c */
static int staticTest;

/** @brief This is the brief description of static function in a.c */
static void F_static (void)
{
    puts("This is the first output.");
}

/** @brief This is the brief description of F_a() in a.c */
void F_a (void)
{
    printf("staticTest contains %02d.\n", staticTest);
    F_static();
}

/** @brief This is the brief description of the main function. */
int main (void)
{
    staticTest = 8;
    F_a();
    F_b();
    return 0;
}
